Files
One uploaded file: readiness, dimensions, variants, optional URL
GET
/files/{id}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Query Parameters
include_url?string
variant?string
organization?string
Organization slug (OAuth actors with several orgs); API keys imply theirs.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/files/string"{ "id": "string", "kind": "image", "readiness": "ready", "status": "pending_upload", "scan_status": "unscanned", "mime_type": "string", "bytes": 0, "width": 0, "height": 0, "duration_ms": 0, "variants": [ { "name": "string", "width": 0, "height": 0, "bytes": 0, "mime_type": "string" } ], "error": { "reason": "too_large", "message": "string" }, "created_at": "string", "url": "string", "url_expires_in_seconds": 0}{ "error": { "code": "string", "message": "string", "reason": "string", "index": 0, "request_id": "string" }}{ "error": { "code": "string", "message": "string", "reason": "string", "index": 0, "request_id": "string" }}